Bug 1053641 - RFE: The imuxsock module doesn't support binding individual sockets to rulesets
Summary: RFE: The imuxsock module doesn't support binding individual sockets to rulesets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsyslog
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jiří Vymazal
QA Contact: Dalibor Pospíšil
Vladimír Slávik
URL:
Whiteboard:
Depends On: rsyslog-rhel74-rebase
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 14:52 UTC by Tomas Heinrich
Modified: 2017-08-02 07:19 UTC (History)
8 users (show)

Fixed In Version: rsyslog-8.24.0-6.el7
Doc Type: Enhancement
Doc Text:
Feature: The imuxsock module is able to bind individual sockets to rulesets. Reason: Customer is unable to set ruleset per socket input. Result: Customer doesn't have to use the same ruleset for each socket input he needs. He is free to choose one for exact socket or use global one. Global ruleset can be override by that per socket ruleset --> per socket has higher priority.
Clone Of:
Environment:
Last Closed: 2017-08-01 09:53:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2306 normal SHIPPED_LIVE rsyslog bug fix and enhancement update 2017-08-01 12:41:59 UTC

Description Tomas Heinrich 2014-01-15 14:52:39 UTC
Description of problem:
The mechanism of assigning a separate ruleset[1] for each input is not implemented for the imuxsock[2] module.

Version-Release number of selected component (if applicable):
rsyslog-7.4.7-1.el7

Expected results:
Each unix socket listener can be assigned a different ruleset.

Additional info:
imtcp and imudp already have this functionality.

[1] http://www.rsyslog.com/doc/multi_ruleset.html
[2] http://www.rsyslog.com/doc/imuxsock.html

Comment 7 Jiří Vymazal 2017-02-01 14:39:33 UTC
Starting with rsyslog 8.17.0 imuxsock supports binding rulesets so this will be fixed by the rebase

Comment 13 errata-xmlrpc 2017-08-01 09:53:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2306


Note You need to log in before you can comment on or make changes to this bug.